Subject: Re: bug#35385: 27.0.50; Make dired-dwim-target aware of other frames

From: Juri Linkov <[email-masked]>
Date: Tue, 17 Sep 2019 00:39:13 +0300

>>> Currently, the user option dired-dwim-target applies only to windows
>>> displaying Dired buffers on the selected frame.  IWBNI this were
>>> customisable, so that Dired buffers displayed on other frames were also
>>> considered as default targets for file operations.  This would be useful
>>> for users like me who enable pop-up-frames.
>>>
>>> Patch implementing this to follow.
>>
>> This makes sense to me, and the code in the patch looked OK.  But what
>> did you think of Juri's comments about dired-dwim-target-windows?
>
> That was 12 weeks ago.  Basil, have you had an opportunity to look at
> this?

I'd like to elaborate on my comments: the thought was that instead of
extending the scope of the search for the first random Dired window
from the selected frame to all frames, would it be better to improve the
heuristic of finding the window that the user really meant to use
(remember that the user option name contains the word "DWIM").

The proposed heuristic was to use `get-mru-window' to get
the most recently used window from all frames, and even
better way is to traverse all windows ordered by their visiting
recency on all frames to find the window with Dired mode buffer.